Bug 121752 - Red Hat nash vergeneral protection fault: 0000 [1]...and Kernel Panic
Red Hat nash vergeneral protection fault: 0000 [1]...and Kernel Panic
Status: CLOSED DUPLICATE of bug 73733
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 07:40 EDT by Lorenzo Luconi Trombacchi
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 02:57:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment of complete Kernel Panic message (71.44 KB, text/plain)
2004-04-27 07:41 EDT, Lorenzo Luconi Trombacchi
no flags Details

  None (edit)
Description Lorenzo Luconi Trombacchi 2004-04-27 07:40:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
The kernel-2.6.5-1.332 give a kernel panic message:
[...]


BIOS EDD facility v0.13 2004-Mar-09, 4 devices found

Please report your BIOS at http://linux.dell.com/edd/results.html

md: Autodetecting RAID arrays.

md: autorun ...

md: ... autorun DONE.

RAMDISK: Compressed image found at block 0

VFS: Mounted root (ext2 filesystem).

Red Hat nash vergeneral protection fault: 0000 [1] 

CPU 0 

Pid: 11, comm: linuxrc Not tainted 2.6.5-1.332

RIP: 0010:[<ffffffff8010fadf>] <ffffffff8010fadf>{prepare_to_copy+10}

RSP: 0018:000001001feb1e00  EFLAGS: 00010202

RAX: 000001001feb0000 RBX: 0000000000000011 RCX: 0000000000000000

RDX: ffffffffffffffea RSI: 0000007fbfff7580 RDI: 000001001f988a08

RBP: 000001001f988a08 R08: 0000000000000000 R09: 0000000000000000

R10: 0000000000000069 R11: 0000000000000246 R12: 0000000000000011

R13: 0000000000000000 R14: 0000000000000000 R15: 000001001feb1f58

FS:  0000000000000000(0000) GS:ffffffff804ee580(0000)
knlGS:0000000000000000

CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033

CR2: 0000000000401641 CR3: 0000000000101000 CR4: 00000000000006e0

Process linuxrc (pid: 11, stackpage=1001f989a08)

Stack: ffffffff80133e4c 0000000000000000 0000000000000011
00000000fffffff4 

       ffffffff80135338 0000000000000000 0000007fbfff7580
0000000000000000 

       0000000000000000 000001001fe7b620 

Call Trace:<ffffffff80133e4c>{dup_task_struct+11}
<ffffffff80135338>{copy_process+144} 

       <ffffffff80194624>{link_path_walk+3776}
<ffffffff8011196e>{system_call+126} 

       <ffffffff8013635b>{do_fork+140} <ffffffff8019dfad>{dput+31} 

       <ffffffff80193216>{path_release+12}
<ffffffff80180e0c>{sys_access+333} 

       <ffffffff8010fef2>{sys_fork+32}
<ffffffff80111cc3>{ptregscall_common+103} 

       

Code: 0f ae 87 50 05 00 00 db e2 83 60 14 fe 0f 20 c0 48 83 c8 08 

RIP <ffffffff8010fadf>{prepare_to_copy+10} RSP <000001001feb1e00>

 sion 3.5.19 star<0>general protection fault: 0000 [2] 

CPU 0 

Pid: 11, comm: linuxrc Not tainted 2.6.5-1.332

RIP: 0010:[<ffffffff8010fc91>] <ffffffff8010fc91>{__switch_to+49}

RSP: 0018:ffffffff804f5f00  EFLAGS: 00010002

RAX: 000001001feb0000 RBX: ffffffff80411b90 RCX: ffffffff804116c0

RDX: 0000000000000000 RSI: ffffffff804116c0 RDI: 000001001f988a08

RBP: 000001001f988ed8 R08: 000000000000752f R09: 00000100017b0748

R10: 000000000000000a R11: 0000000000000018 R12: 00000000fffbfa54

R13: ffffffff804116c0 R14: 000001001f988a08 R15: ffffffff804e6c80

FS:  0000000000000000(0000) GS:ffffffff804ee580(0000)
knlGS:0000000000000000

CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033

CR2: 0000000000401641 CR3: 0000000000101000 CR4: 00000000000006e0

Process linuxrc (pid: 11, stackpage=1001f989a08)

Stack: ffffffff804919a0 00000100017f75c8 ffffffff804116c0
00000000fffbfa54 

       ffffffff804919a0 000001001feb5060 000001001f988d70
ffffffff80327e0f 

       ffffffff804f5fc0 0000000000000046 

Call Trace:<ffffffff80327e0f>{thread_return+0}
<ffffffff8010f68e>{default_idle+0} 

       <ffffffff8010f73e>{cpu_idle+52}
<ffffffff804f775e>{start_kernel+606} 

       
[...skip...]


Code: 8b 2c 25 08 e1 5f ff 8b 1c 25 f0 e0 5f ff 2b 2d 6b 24 37 00 

RIP <ffffffff801183f1>{timer_interrupt+202} RSP <ffffffff804f2528>

CR2: ffffffffff5fe108

 <0>Kernel panic: Aiee, killing interrupt handler!

In interrupt handler - not syncing







I tried kernel-2.6.5-1.339, downloaded from people.redhat.com/arjanv
and I found the same problem. 
The kernel before .332 works fine (I don't remember the number).
Now I'm using Kernel 2.6.3-2.1.253.2.1 and it works.

My hardware configuration.
- Athlon64 3200+
- Mainboar MSI K8T-NEO
- Controller SATA 3Ware 8506 (3 HDD 160 Gbyte RAID5 HW)

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.332

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel 2.6.5-1.332
2.
3.
    

Additional info:
Comment 1 Lorenzo Luconi Trombacchi 2004-04-27 07:41:41 EDT
Created attachment 99714 [details]
Attachment of complete Kernel Panic message
Comment 2 Dave Jones 2004-06-14 20:48:10 EDT
fixed in current errata kernel ?
Comment 3 Brian Wheeler 2004-10-18 01:42:09 EDT
I get this same type of fault on occasion.  Here's the output from the
last time it happened.  It has happened on 2.6.8-1.521, 2.6.5-1.358, a
custom 2.6.8-1.521 (only difference was CPU settings set to Athlon 64
vs generic x86-64), and 2.6.9-rc4 built from kernel.org.

The system remains stable, but alas whatever file the faulting process
was accessing will hang any other process which tries to see it.  

general protection fault: 0000 [1]
CPU 0
Modules linked in: snd_pcm_oss(U) snd_mixer_oss(U) snd_via82xx(U)
snd_ac97_codec(U) snd_pcm(U) snd_timer(U) snd_page_alloc(U)
gameport(U) snd_mpu401_uart(U) snd_rawmidi(U) snd_seq_device(U) snd(U)
soundcore(U) nvidia(U) parport_pc(U) lp(U) parport(U) autofs4(U)
w83627hf(U) eeprom(U) i2c_sensor(U) i2c_isa(U) i2c_viapro(U)
i2c_core(U) ds(U) yenta_socket(U) pcmcia_core(U) r8169(U) floppy(U)
sg(U) vfat(U) fat(U) dm_mod(U) joydev(U) uhci_hcd(U) ehci_hcd(U)
button(U) battery(U) asus_acpi(U) ac(U) md5(U) ipv6(U) ext3(U) jbd(U)
sata_via(U) libata(U) sd_mod(U) scsi_mod(U)
Pid: 6684, comm: updatedb Tainted: P   2.6.8-1.521custom
RIP: 0010:[<ffffffff801889f6>]
<ffffffff801889f6>{__find_get_block_slow+281}
RSP: 0018:000001000cc91b98  EFLAGS: 00010202
RAX: 08000100245afd40 RBX: 08000100245afd40 RCX: 00000000fffffffa
RDX: 00000100015be850 RSI: 0000000001ad9801 RDI: 000001000dba80b8
RBP: 000001003b394c68 R08: 0000000000000008 R09: 0000000000000007
R10: ffffffff804f3160 R11: 0000000000000246 R12: 00000100015be850
R13: 0000000001ad9801 R14: 000001003b394ad0 R15: 0000000000000000
FS:  0000002a955744c0(0000) GS:ffffffff80526080(0000)
knlGS:00000000558c4300
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000002a98009000 CR3: 0000000000101000 CR4: 00000000000006e0
Process updatedb (pid: 6684, threadinfo 000001000cc90000, task
0000010010bc9450)Stack: 0000000000000000 0000000000000000
0000000001ad9801 000001003b3949c0
       000001002e08da58 0000000000000000 000001002e08da58 ffffffff8018a758
       000001000cc91b60 0000000000000246
Call Trace:<ffffffff8018a758>{__find_get_block+153}
<ffffffff8018a789>{__getblk+17}
       <ffffffffa005324f>{:ext3:ext3_getblk+195}
<ffffffffa0054c5a>{:ext3:ext3_get_inode_loc+89}
       <ffffffffa00533bc>{:ext3:ext3_bread+14}
<ffffffffa00561ab>{:ext3:htree_dirblock_to_tree+50}
       <ffffffff8019e170>{filldir64+0}
<ffffffffa00562ce>{:ext3:ext3_htree_fill_tree+119}
       <ffffffff8019e170>{filldir64+0}
<ffffffffa0050ce8>{:ext3:ext3_dx_readdir+274}
       <ffffffff8019e170>{filldir64+0}
<ffffffffa00505f6>{:ext3:ext3_readdir+131}
       <ffffffff8019e170>{filldir64+0} <ffffffff8019310a>{cp_new_stat+235}
       <ffffffff8019e170>{filldir64+0} <ffffffff8019deae>{vfs_readdir+122}
       <ffffffff8019e2a1>{sys_getdents64+118}
<ffffffff80185384>{sys_fchdir+113}                                   
                                            
       <ffffffff80111b4e>{system_call+126}
 
Code: 4c 39 6b 20 75 08 49 89 df ff 43 08 eb 4e 48 8b 5b 10 48 39
RIP <ffffffff801889f6>{__find_get_block_slow+281} RSP <000001000cc91b98>
 fs/buffer.c:514: spin_lock(fs/inode.c:000001003b394d38) already
locked by fs/buffer.c/514
Comment 4 Dave Jones 2005-01-17 02:57:11 EST
different backtrace, and tainted by nvidia, nothing we can do here.


*** This bug has been marked as a duplicate of 73733 ***

Note You need to log in before you can comment on or make changes to this bug.